/*** Translation ***/
LanguageDirectory="english";

function getTxt(s)
	{
	switch(s)
		{
		case "Save":return "ذخيره";
		case "Preview":return "پيش نمايش";
		case "Full Screen":return "تمام صفحه";
		case "Search":return "جستجو";
		case "Check Spelling":return "چک کردن املاء";
		case "Text Formatting":return "قالب بندي متن";
		case "List Formatting":return "قالب بندي فهرست";
		case "Paragraph Formatting":return "قالب بندي پاراگراف";
		case "Styles":return "شيوه ها";
		case "Custom CSS":return "CSS دلخواه";
		case "Styles & Formatting":return "شيوه ها و قالب بندي ها";
		case "Style Selection":return "انتخاب شيوه";
		case "Paragraph":return "پاراگراف";
		case "Font Name":return "نام فونت";
		case "Font Size":return "اندازه فونت";
		case "Cut":return "برش";
		case "Copy":return "کپي";
		case "Paste":return "چسباندن";
		case "Undo":return "برگرداندن عمل قبل";
		case "Redo":return "دوباره انجام دادن عمل";
		case "Bold":return "پر رنگ";
		case "Italic":return "کج";
		case "Underline":return "خط دار";
		case "Strikethrough":return "خط در وسط متن";
		case "Superscript":return "بالا نويس";
		case "Subscript":return "زير نويس";
		case "Justify Left":return "سمت چپ";
		case "Justify Center":return "وسط";
		case "Justify Right":return "سمت راست";
		case "Justify Full":return "به صورت کامل";
		case "Numbering":return "شماره گذاري";
		case "Bullets":return "گلوله هاي ترتيبي";
		case "Indent":return "مقداري جلو بردن";
		case "Outdent":return "مقداري عقب بردن";
		case "Left To Right":return "چپ به راست";
		case "Right To Left":return "راست به چپ";
		case "Foreground Color":return "رنگ متون";
		case "Background Color":return "رنگ پشت متون";
		case "Hyperlink":return "لينک";
		case "Bookmark":return "آدرس ها (BookMark)";
		case "Special Characters":return "کاراکترهاي مخصوص";
		case "Image":return "تصوير";
		case "Flash":return "فلش";
		case "Media":return "تصويري";
		case "Content Block":return "بلوک محتوا";
		case "Internal Link":return "لينک داخلي";
		case "Internal Image":return "تصوير داخلي";
		case "Object":return "شي";
		case "Insert Table":return "قرار دادن جدول";
		case "Table Size":return "اندازه جدول";
		case "Edit Table":return "ويرايش جدول";
		case "Edit Cell":return "ويرايش خانه";
		case "Table":return "جدول";
		case "Border & Shading":return "حاشيه و سايه زني";
		case "Show/Hide Guidelines":return "نمايش يا پنهان کردن راهنما";
		case "Absolute":return "مطلق";
		case "Paste from Word":return "چسباندن از لغات";
		case "Line":return "خط";
		case "Form Editor":return "ويرايشگر فرم";
		case "Form":return "فرم";
		case "Text Field":return "فيلد متني";
		case "List":return "فهرست";
		case "Checkbox":return "جعبه علامت گذاري";
		case "Radio Button":return "دکمه نقطه اي";
		case "Hidden Field":return "فيلد پنهان";
		case "File Field":return "فايل فيلد";
		case "Button":return "دکمه";
		case "Clean":return "پاک کردن";//not used
		case "View/Edit Source":return "نمايش/ويرايش سورس";
		case "Tag Selector":return "انتخابگر تگ";
		case "Clear All":return "پاک کردن همه";
		case "Tags":return "تگ ها";

		case "Heading 1":return "سرفصل 1";
		case "Heading 2":return "سرفصل 2";
		case "Heading 3":return "سرفصل 3";
		case "Heading 4":return "سرفصل 4";
		case "Heading 5":return "سرفصل 5";
		case "Heading 6":return "سرفصل 6";
		case "Preformatted":return "قبل قالب بندي";
		case "Normal (P)":return "معمولي (P)";
		case "Normal (DIV)":return "معمولي (DIV)";

		case "Size 1":return "اندازه 1";
		case "Size 2":return "اندازه 2";
		case "Size 3":return "اندازه 3";
		case "Size 4":return "اندازه 4";
		case "Size 5":return "اندازه 5";
		case "Size 6":return "اندازه 6";
		case "Size 7":return "اندازه 7";

		case "Are you sure you wish to delete all contents?":
			return "آيا شما از حذف تمامي محتوا مطمئن هستيد؟";
		case "Remove Tag":return "حذف تگ";
		case "Custom Colors":return "رنگ هاي دلخواه";
		case "More Colors...":return "رنگ هاي ديگر...";
		case "Box Formatting":return "قالب بندي کادر";
		case "Advanced Table Insert":return "قرار دادن جدول پيشرفته";
		case "Edit Table/Cell":return "ويرايش جدول/خانه";
		case "Print":return "چاپ";
		case "Paste Text":return "چسباندن متن";
		case "CSS Builder":return "سازنده CSS";
		case "Remove Formatting":return "حذف قالب بندي";

		default:return "";
		}
	}