<?php
// Datalife Engine Farsi v6.7
// DLE Site: Www.DatalifeCMS.IR
// DLE Templates: Www.DLE-Temp.Com
// Translated By Mohammad Yekta (Mohammad.1ta@Gmail.Com)
@session_start();
@ob_start(); 
@ob_implicit_flush(0); 

@error_reporting(E_ALL ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_NOTICE);

define('DATALIFEENGINE', true);

$member_id = FALSE;
$is_logged = FALSE;

define('ROOT_DIR', dirname (__FILE__));
define('ENGINE_DIR', ROOT_DIR.'/engine');

require_once ROOT_DIR.'/engine/init.php';
// DatalifeCMS.IR Added (Extra Modules)
include ROOT_DIR.'/engine/modules/online.php';
include ROOT_DIR.'/engine/modules/siteinfo.php';
require_once ENGINE_DIR.'/modules/category_block.php';
require_once ROOT_DIR.'/engine/modules/obmen_mod.php';
// DatalifeCMS.IR Added (Extra Modules)

	$tpl->load_template('main.tpl');
	$tpl->set('{calendar}', $tpl->result['calendar']);
	$tpl->set('{archives}', $tpl->result['archive']);
	$tpl->set('{vote}', $tpl->result['vote']);
	$tpl->set('{topnews}',$topnews);
	$tpl->set('{login}',$login_panel);
	$tpl->set('{info}', "<span id='dle-info'>".$tpl->result['info']."</span>");
	$tpl->set('{speedbar}', $tpl->result['speedbar']);
// DatalifeCMS.IR Added (Extra Modules)
	$tpl->set('{category_block}', $tpl->result['category_block']);
	$tpl->set('{online}',  $online);
	$tpl->set('{siteinfo}',$siteinfo);
	$tpl->set('{obmen}',$obmen);
// DatalifeCMS.IR Added (Extra Modules)

	if ($config['allow_skin_change'] == "yes")
		$tpl->set('{changeskin}', ChangeSkin (ROOT_DIR.'/templates', $config['skin']));

	if (count($banners) AND $config['allow_banner']) {

		foreach ($banners as $name => $value) {
			$tpl->copy_template = str_replace("{banner_".$name."}",$value, $tpl->copy_template);
		}

	}

	$tpl->set_block("'{banner_(.*?)}'si","");

	if (count($informers) AND $config['rss_informer']) {
		foreach ($informers as $name => $value) {
			$tpl->copy_template = str_replace("{inform_".$name."}",$value, $tpl->copy_template);
	}}

	if ($do=="" AND $year) $do = "date";
	elseif ($do=="" AND $catalog) $do = "catalog";
	elseif ($do=="") $do = $subaction;

	if ( strpos( $tpl->copy_template, "[aviable=" ) !== false ) {
		$tpl->copy_template = preg_replace( "#\\[aviable=(.+?)\\](.*?)\\[/aviable\\]#ies","check_module('\\1', '\\2', '{$do}')", $tpl->copy_template);
	}

	if ( strpos( $tpl->copy_template, "[not-aviable=" ) !== false ) {
		$tpl->copy_template = preg_replace( "#\\[not-aviable=(.+?)\\](.*?)\\[/not-aviable\\]#ies","check_module('\\1', '\\2', '{$do}', false)", $tpl->copy_template);
	}

	if ( strpos( $tpl->copy_template, "[not-group=" ) !== false ) {
		$tpl->copy_template = preg_replace( "#\\[not-group=(.+?)\\](.*?)\\[/not-group\\]#ies","check_group('\\1', '\\2', false)", $tpl->copy_template);
	}

	if ( strpos( $tpl->copy_template, "[group=" ) !== false ) {
		$tpl->copy_template = preg_replace( "#\\[group=(.+?)\\](.*?)\\[/group\\]#ies","check_group('\\1', '\\2')", $tpl->copy_template);
	}

	if ( strpos( $tpl->copy_template, "[category=" ) !== false ) {
		$tpl->copy_template = preg_replace( "#\\[category=(.+?)\\](.*?)\\[/category\\]#ies","check_category('\\1', '\\2', '{$category_id}')", $tpl->copy_template);
	}

	if ( strpos( $tpl->copy_template, "[not-category=" ) !== false ) {
		$tpl->copy_template = preg_replace( "#\\[not-category=(.+?)\\](.*?)\\[/not-category\\]#ies","check_category('\\1', '\\2', '{$category_id}', false)", $tpl->copy_template);
	}

	if ( strpos( $tpl->copy_template, "{custom" ) !== false ) {

		$tpl->copy_template = preg_replace( "#\\{custom category=['\"](.+?)['\"] template=['\"](.+?)['\"] aviable=['\"](.+?)['\"] from=['\"](.+?)['\"] limit=['\"](.+?)['\"] cache=['\"](.+?)['\"]\\}#ies", "custom_print('\\1', '\\2', '\\3', '\\4', '\\5', '\\6', '{$do}')", $tpl->copy_template );

	}

	$config['http_home_url'] = explode("index.php", $_SERVER['PHP_SELF']);
	$config['http_home_url'] = reset($config['http_home_url']);

	if (!$user_group[$member_id['user_group']]['allow_admin']) $config['admin_path'] = "";

$ajax .= <<<HTML
<script language="javascript" type="text/javascript">
<!--
var dle_root       = '{$config['http_home_url']}';
var dle_admin      = '{$config['admin_path']}';
var dle_login_hash = '{$dle_login_hash}';
var dle_skin       = '{$config['skin']}';
var dle_wysiwyg    = '{$config['allow_comments_wysiwyg']}';
var menu_short     = '{$lang['menu_short']}';
var menu_full      = '{$lang['menu_full']}';
var menu_profile   = '{$lang['menu_profile']}';
var menu_fnews     = '{$lang['menu_fnews']}';
var menu_fcomments = '{$lang['menu_fcomments']}';
var menu_send      = '{$lang['menu_send']}';
var menu_uedit     = '{$lang['menu_uedit']}';
var dle_req_field  = '{$lang['comm_req_f']}';
var dle_del_agree  = '{$lang['news_delcom']}';
var dle_del_news   = '{$lang['news_delnews']}';\n
HTML;

if ($user_group[$member_id['user_group']]['allow_all_edit']) {

$ajax .= <<<HTML
var allow_dle_delete_news   = true;\n
HTML;

} else {

$ajax .= <<<HTML
var dle_login_hash = '';
var allow_dle_delete_news   = false;\n
HTML;

}

$ajax .= <<<HTML
//-->
</script>
<script type="text/javascript" src="{$config['http_home_url']}engine/ajax/menu.js"></script>
<script type="text/javascript" src="{$config['http_home_url']}engine/ajax/dle_ajax.js"></script>
<div id="loading-layer" style="display:none;font-family: Tahoma;font-size: 11px;width:200px;height:50px;background:#FFF;padding:10px;text-align:center;border:1px solid #000"><div style="font-weight:bold" id="loading-layer-text">{$lang['ajax_info']}</div><br /><img src="{$config['http_home_url']}engine/ajax/loading.gif"  border="0" alt="" /></div>
<div id="busy_layer" style="visibility: hidden; display: block; position: absolute; right: 0px; top: 0px; width: 100%; height: 100%; background-color: gray; opacity: 0.1; filter: alpha(opacity=10); "></div>
<script type="text/javascript" src="{$config['http_home_url']}engine/ajax/js_edit.js"></script>
HTML;

if ( strpos( $tpl->result['content'], "hs.expand" ) !== false OR strpos( $tpl->copy_template, "hs.expand" ) !== false OR $config['ajax'] OR $pm_alert != "")
$ajax .= <<<HTML

<script type="text/javascript" src="{$config['http_home_url']}engine/classes/highslide/highslide.js"></script>
<script type="text/javascript">    
    hs.graphicsDir = '{$config['http_home_url']}engine/classes/highslide/graphics/';
    hs.outlineType = 'rounded-white';
    hs.numberOfImagesToPreload = 0;
    hs.showCredits = false;
    hs.loadingText = '{$lang['ajax_info']}';
    hs.fullExpandTitle = '{$lang['thumb_expandtitle']}';
    hs.restoreTitle = '{$lang['thumb_restore']}';
    hs.focusTitle = '{$lang['thumb_focustitle']}';
    hs.loadingTitle = '{$lang['thumb_cancel']}';
</script>
{$pm_alert}
HTML;

$tpl->set('{AJAX}', $ajax);
$tpl->set('{headers}', $metatags);

$tpl->set('{content}', "<div id='dle-content'>".$tpl->result['content']."</div>");
$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin']);


$tpl->compile('main');

echo $tpl->result['main'];
$tpl->global_clear();
$db->close();

echo"\n<!-- DataLife Engine Copyright (http://datalifecms.ir) -->\r\n";

GzipOut();
?>